function fig8_11

%  generate data for regression
nd=50;
rdd=0.7*(0.5-rand(1,nd));
thetad=2*pi*rand(1,nd);
for i=1:nd
    xd(i)=(3+rdd(i))*cos(thetad(i));
    yd(i)=(3+rdd(i))*sin(thetad(i));
end

r=norm(3+rdd,1)/nd;
%  evaluate interpolation fn's for use in plotting
%  N = number of points plotted
n=300;
theta=linspace(0,2*pi,n);
for ix=1:n
    x(ix)=r*cos(theta(ix));
    y(ix)=r*sin(theta(ix));
end

clf
hold on
% get(gcf)
set(gcf,'Position', [23 974 430 371])
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)

hold on
plot(x,y,'r','LineWidth',1.6)
plot(xd,yd,'.b','MarkerSize',22)
axis([-4 4 -4 4])
set(gca,'ytick',[-4 -2 0 2 4])
grid on
box on
xlabel('x-axis')
ylabel('y-axis')
axis square
set(gca,'FontSize',16,'FontWeight','bold')
hold off

%exportgraphics(gcf,'/Users/mark/Desktop/circle.eps')














